[needs 2.21.15] Xorg crashed with SIGABRT in DRI2SwapBuffers()

Bug #1224106 reported by Charlie_Smotherman on 2013-09-11
56
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned

Bug Description

not sure why it crash, the computer was idling

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: xserver-xorg-core 2:1.14.2.901-2ubuntu4
ProcVersionSignature: Ubuntu 3.11.0-6.12-generic 3.11.0
Uname: Linux 3.11.0-6-generic i686
.tmp.unity.support.test.0:

ApportVersion: 2.12.1-0ubuntu3
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDmesg: [ 17.915767] init: plymouth-stop pre-start process (1141) terminated with status 1
Date: Wed Sep 11 15:21:50 2013
DistUpgraded: Fresh install
DistroCodename: saucy
DistroVariant: ubuntu
ExecutablePath: /usr/bin/Xorg
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation 82915G/GV/910GL Integrated Graphics Controller [8086:2582] (rev 04) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:300d]
MachineType: Hewlett-Packard HP Compaq dc5100 SFF(PZ578UA)
MarkForUpload: True
ProcCmdline: /usr/bin/X -core :0 -auth /var/run/lightdm/root/:0 -mir 0 -mirSocket /tmp/mir_socket -nolisten tcp
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-6-generic root=UUID=6ae33614-b3c2-4914-96e3-d64acbe8a783 ro splash quiet vt.handoff=7
Signal: 6
SourcePackage: xorg-server
StacktraceTop:
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 DRI2SwapBuffers ()
 ?? ()
 ?? ()
Title: Xorg crashed with SIGABRT in DRI2SwapBuffers()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 08/25/2005
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 786C2 v01.07
dmi.board.name: 09E8h
dmi.board.vendor: Hewlett-Packard
dmi.chassis.type: 4
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr786C2v01.07:bd08/25/2005:svnHewlett-Packard:pnHPCompaqdc5100SFF(PZ578UA):pvr:rvnHewlett-Packard:rn09E8h:rvr:cvnHewlett-Packard:ct4:cvr:
dmi.product.name: HP Compaq dc5100 SFF(PZ578UA)
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.10+13.10.20130828.2-0ubuntu1
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.14.2.901-2ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu6
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.14-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Wed Sep 11 15:25:55 2013
xserver.configfile: default
xserver.devices:
 input Power Button KEYBOARD, id 6
 input Power Button KEYBOARD, id 7
 input USB Keyboard KEYBOARD, id 8
 input ImExPS/2 Generic Explorer Mouse MOUSE, id 9
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.14.2.901-2ubuntu4

Charlie_Smotherman (cjsmo) wrote :

StacktraceTop:
 ?? ()
 ?? ()

tags: added: apport-failed-retrace
tags: removed: need-i386-retrace
Timo Aaltonen (tjaalton) on 2013-09-25
information type: Private → Public
affects: xorg-server (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Chris Wilson (ickle) on 2013-09-25
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Fix Committed
summary: - Xorg crashed with SIGABRT in DRI2SwapBuffers()
+ [needs 2.21.15] Xorg crashed with SIGABRT in DRI2SwapBuffers()
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.903-0ubuntu1

---------------
xserver-xorg-video-intel (2:2.99.903-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git (LP: #1222203, #1224106, #1228677,
    #1233990, #1234027)
  * Drop patches that were from upstream.
  * source: Revert to source format 1.0.
  * xmir.patch: Refresh.
 -- Timo Aaltonen <email address hidden> Tue, 01 Oct 2013 16:18:05 +0300

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.